## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - e -

- edges : csPoly2DEdges, csBox3
- Element() : csHash< T, K >::Element
- Elements : csHash< T, K >
- elsize : csBlockAllocator< T, BlockPolicy >
- Emit() : iAwsSlot
- empty : iAwsWindow
- Empty() : iStringSet, iStringArray, iString, csStringSet, csStringHash, csSet< T >, csScfStringSet, scfStringArray, scfString, csRedBlackTreeMap< K, T >, csRedBlackTree< K >, csMemoryPool, csHash< T, K >, csStringBase, csBlockAllocator< T, BlockPolicy >, csArray< T, ElementHandler, MemoryAllocator >, csRenderMeshList, csBox3, csBox2
- Enable() : iRigidBody
- EnableAutoDisable() : iODEDynamicSystemState, iDynamicSystem
- EnableCrashMinidumps() : cswinMinidumpWriter
- enabled : csFog
- Enabled() : iVerbosityManager, csVerbosityManager, csVerbosityParser
- EnableEventProcessing() : iODEDynamicState
- EnableEvents() : iEventPlug
- EnableFastObjects() : iODEDynamicSystemState, iODEDynamicState
- EnableFrameRate() : iODEDynamicSystemState, iODEDynamicState
- EnableStepFast() : iODEDynamicSystemState, iODEDynamicState
- EnableTweening() : iSprite3DState, iSprite3DFactoryState
- EnableZOffset() : iGraphics3D
- EnableZSort() : iParticlesStateBase
- Encode() : csUnicodeTransform, csMD5
- EncodeUTF16() : csUnicodeTransform
- EncodeUTF32() : csUnicodeTransform
- EncodeUTF8() : csUnicodeTransform
- end : csPolygonRange, csFog
- End() : csColorQuantizer, csSegment3, csSegment2
- end_sector : csTraceBeamResult
- end_x : csTestRectData
- endcol : csTestRectData
- endOffset : csRegExpMatch
- endrow : csTestRectData
- engine : csParticleSystem
- Engine : csMeshType, csMeshFactory, csMeshObject
- Enqueue() : iJobQueue, csThreadJobQueue
- EnsureImage() : csImageMemory
- entries : csFontCache::PlaneGlyphs
- Entry() : csPathsList::Entry
- Enumerate() : iConfigFile, csWin32RegistryConfig, csConfigManager, csConfigFile, csConfigDocument
- Environment : csSoundListener
- eq() : csRGBpixel
- Equal() : csRect
- Equals() : iDocumentNode
- Erase() : iAws, csProgressPulse
- Evaluate() : csShaderExpression
- eventh : csBaseEventHandler
- EventHandler() : csGraphics2D::EventHandler
- EventOutlet : csGraphics2DGLCommon
- eventType : csKeyEventData
- ExceptionPointers : MINIDUMP_EXCEPTION_INFORMATION
- Exclude() : csRectRegion, csRect
- Execute() : iODEFrameUpdateCallback, iConsoleExecCallback, iGenMeshSkeletonControlState, iGenMeshAnimationControlState, awsEmbeddedComponent, iAwsComponent
- Exists() : iVFS
- ExpandAll() : csPathsUtilities
- ExpandIfNeeded() : csStringBase
- ExpandPath() : iVFS, csPathsUtilities
- ext : csGraphics2DGLCommon
- Extend() : csRect
- ExtendConvex() : csPoly2D
- external_file_attributes : ZIP_central_directory_file_header
- extmgr : csGLStateCache, csGLStateCacheContext
- extra_field_length : ZIP_central_directory_file_header, ZIP_local_file_header
- Extract() : csPDelArray< T >